/***************************************************************
 * Name:      Stoppuhr02Main.cpp
 * Purpose:   Code for Application Frame
 * Author:    Niels Nikolaisen ()
 * Created:   2016-02-03
 * Copyright: Niels Nikolaisen (www.elektronik.nmp24.de)
 * License:
 **************************************************************/

#include "Stoppuhr02Main.h"
#include <wx/msgdlg.h>

//(*InternalHeaders(Stoppuhr02Dialog)
#include <wx/string.h>
#include <wx/intl.h>
#include <wx/font.h>
//*)

//helper functions
enum wxbuildinfoformat {
    short_f, long_f };

wxString wxbuildinfo(wxbuildinfoformat format)
{
    wxString wxbuild(wxVERSION_STRING);

    if (format == long_f )
    {
#if defined(__WXMSW__)
        wxbuild << _T("-Windows");
#elif defined(__UNIX__)
        wxbuild << _T("-Linux");
#endif

#if wxUSE_UNICODE
        wxbuild << _T("-Unicode build");
#else
        wxbuild << _T("-ANSI build");
#endif // wxUSE_UNICODE
    }

    return wxbuild;
}

//(*IdInit(Stoppuhr02Dialog)
const long Stoppuhr02Dialog::ID_BUTTON1 = wxNewId();
const long Stoppuhr02Dialog::ID_BUTTON2 = wxNewId();
const long Stoppuhr02Dialog::ID_BUTTON3 = wxNewId();
const long Stoppuhr02Dialog::ID_STATICBOX1 = wxNewId();
const long Stoppuhr02Dialog::ID_STATICTEXT1 = wxNewId();
const long Stoppuhr02Dialog::ID_PANEL1 = wxNewId();
const long Stoppuhr02Dialog::ID_TIMER1 = wxNewId();
//*)

BEGIN_EVENT_TABLE(Stoppuhr02Dialog,wxDialog)
    //(*EventTable(Stoppuhr02Dialog)
    //*)
END_EVENT_TABLE()

Stoppuhr02Dialog::Stoppuhr02Dialog(wxWindow* parent,wxWindowID id)
{
    //(*Initialize(Stoppuhr02Dialog)
    Create(parent, wxID_ANY, _("Stoppuhr"), wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE, _T("wxID_ANY"));
    SetClientSize(wxSize(400,306));
    Panel1 = new wxPanel(this, ID_PANEL1, wxPoint(24,64), wxSize(352,224), wxTAB_TRAVERSAL, _T("ID_PANEL1"));
    Button1 = new wxButton(Panel1, ID_BUTTON1, _("Reset"), wxPoint(16,176), wxDefaultSize, 0, wxDefaultValidator, _T("ID_BUTTON1"));
    Button2 = new wxButton(Panel1, ID_BUTTON2, _("Start"), wxPoint(128,176), wxDefaultSize, 0, wxDefaultValidator, _T("ID_BUTTON2"));
    Button3 = new wxButton(Panel1, ID_BUTTON3, _("Stopp"), wxPoint(240,176), wxDefaultSize, 0, wxDefaultValidator, _T("ID_BUTTON3"));
    StaticBox1 = new wxStaticBox(Panel1, ID_STATICBOX1, _("Zeit in Sekunden"), wxPoint(40,80), wxSize(256,72), 0, _T("ID_STATICBOX1"));
    StaticText1 = new wxStaticText(Panel1, ID_STATICTEXT1, _("0"), wxPoint(56,96), wxSize(232,48), 0, _T("ID_STATICTEXT1"));
    wxFont StaticText1Font(24,wxSWISS,wxFONTSTYLE_NORMAL,wxNORMAL,false,_T("Sans"),wxFONTENCODING_DEFAULT);
    StaticText1->SetFont(StaticText1Font);
    Timer1.SetOwner(this, ID_TIMER1);

    Connect(ID_BUTTON1,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&Stoppuhr02Dialog::OnButton1Click);
    Connect(ID_BUTTON2,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&Stoppuhr02Dialog::OnButton2Click);
    Connect(ID_BUTTON3,wxEVT_COMMAND_BUTTON_CLICKED,(wxObjectEventFunction)&Stoppuhr02Dialog::OnButton3Click);
    Connect(ID_TIMER1,wxEVT_TIMER,(wxObjectEventFunction)&Stoppuhr02Dialog::OnTimer1Trigger);
    //*)
}

Stoppuhr02Dialog::~Stoppuhr02Dialog()
{
    //(*Destroy(Stoppuhr02Dialog)
    //*)
}

void Stoppuhr02Dialog::OnQuit(wxCommandEvent& event)
{
    Close();
}

void Stoppuhr02Dialog::OnAbout(wxCommandEvent& event)
{
    wxString msg = wxbuildinfo(long_f);
    wxMessageBox(msg, _("Welcome to..."));
}

void Stoppuhr02Dialog::OnButton1Click(wxCommandEvent& event)
{
    // Reset
    Timer1.Stop();
	// Ausgabe "0" in Textfeld
	StaticText1->SetLabel(_T("0"));

}

void Stoppuhr02Dialog::OnButton2Click(wxCommandEvent& event)
{
    // Start
     Timer1.Start();

}

void Stoppuhr02Dialog::OnButton3Click(wxCommandEvent& event)
{
    // Stopp
    Timer1.Stop();
}

void Stoppuhr02Dialog::OnTimer1Trigger(wxTimerEvent& event)
{
        // Label von wxStaticText 1 in ZahlString speichern:
	wxString ZahlString = StaticText1->GetLabel();
	// long int Zahl1 deklarierern
    long Zahl1;
    // ZahlString in long int umwandeln
    ZahlString.ToLong(&Zahl1);
    // Zahl1 um 1 erhöhen und wieder in wxString umwandeln
    Zahl1++;
	wxString StaticText1Output = wxString::Format(wxT("%d"), Zahl1);
	// Ausgabe in Textfeld
	StaticText1->SetLabel(StaticText1Output);
}
