/***************************************************************
 * Name:      Stoppuhr02Main.h
 * Purpose:   Defines Application Frame
 * Author:    Niels Nikolaisen ()
 * Created:   2016-02-03
 * Copyright: Niels Nikolaisen (www.elektronik.nmp24.de)
 * License:
 **************************************************************/

#ifndef STOPPUHR02MAIN_H
#define STOPPUHR02MAIN_H

//(*Headers(Stoppuhr02Dialog)
#include <wx/dialog.h>
#include <wx/button.h>
#include <wx/panel.h>
#include <wx/statbox.h>
#include <wx/stattext.h>
#include <wx/timer.h>
//*)

class Stoppuhr02Dialog: public wxDialog
{
    public:

        Stoppuhr02Dialog(wxWindow* parent,wxWindowID id = -1);
        virtual ~Stoppuhr02Dialog();

    private:

        //(*Handlers(Stoppuhr02Dialog)
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnButton1Click(wxCommandEvent& event);
        void OnButton2Click(wxCommandEvent& event);
        void OnButton3Click(wxCommandEvent& event);
        void OnTimer1Trigger(wxTimerEvent& event);
        //*)

        //(*Identifiers(Stoppuhr02Dialog)
        static const long ID_BUTTON1;
        static const long ID_BUTTON2;
        static const long ID_BUTTON3;
        static const long ID_STATICBOX1;
        static const long ID_STATICTEXT1;
        static const long ID_PANEL1;
        static const long ID_TIMER1;
        //*)

        //(*Declarations(Stoppuhr02Dialog)
        wxPanel* Panel1;
        wxButton* Button1;
        wxButton* Button2;
        wxButton* Button3;
        wxStaticText* StaticText1;
        wxTimer Timer1;
        wxStaticBox* StaticBox1;
        //*)

        DECLARE_EVENT_TABLE()
};

#endif // STOPPUHR02MAIN_H
